import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/profile/domain/bloc/personal_info_bloc.dart';

@RoutePage()
class ProfileFlowScreen extends StatelessWidget {
  const ProfileFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (BuildContext context) =>
          PersonalInfoBloc()..add(InitializeProfileInfoEvent()),
      child: const AutoRouter(),
    );
  }
}
